%global crate lsd
%global srcname lsd

Summary:        Ls command with a lot of pretty colors and some other stuff
Name:           rust-lsd
Version:        1.1.2
Release:        1%{?dist}
License:        Apache-2.0
URL:            https://crates.io/crates/lsd
Source:         %{crates_source}
# The vendor.tar file is generated by executing `cargo vendor` in %%{srcname}-%%{version}/
Source1:        %{name}-%{version}-vendor.tar.bz2
ExclusiveArch:  %{rust_arches}

# This patch is obtained together with the crate file through the command `rust2rpm`
Patch0001:          lsd-fix-metadata-auto.diff

BuildRequires:  rust-packaging >= 23
BuildRequires:  rust >= 1.74

%description
An ls command with a lot of pretty colors and some other stuff

%package     -n %{crate}
Summary:        %{summary}
License:        MIT AND MPL-2.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (CC0-1.0 OR MIT-0 OR Apache-2.0)

%description -n %{crate}
An ls command with a lot of pretty colors and some other stuff

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v ./vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/lsd

%changelog
* Mon Jul 29 2024 xiaoyunzhao <xiaoyunzhao@tencent.com> - 1.1.2-1
- Initial package
